Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class PBD.Record

    java.lang.Object
      com.xensource.xenapi.PBD.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  PBD

    public static class PBD.Record

extends Object
implements Types.Record

Represents all the fields in a PBD

Field Summary
`Boolean` | `currentlyAttached` is the SR currently attached on this host?
`Map<String,String>` | `deviceConfig` a config string to string map that is provided to the host's SR-backend-driver
`Host` | `host` physical machine on which the pbd is available
`Map<String,String>` | `otherConfig` additional configuration
`SR` | `SR` the storage repository that the pbd realises
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`PBD.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a PBD.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### host

    public Host host

  physical machine on which the pbd is available

### SR

    public SR SR

  the storage repository that the pbd realises

### deviceConfig

    public Map<String,String> deviceConfig

  a config string to string map that is provided to the host's SR-backend-driver

### currentlyAttached

    public Boolean currentlyAttached

  is the SR currently attached on this host?

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### PBD.Record

    public PBD.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a PBD.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD